import service from '@/utils/request'

// 查询审批列表
export const getApproveList = (data) => {
  return service({
    url: '/approver/queryApproverList',
    method: 'post',
    data
  })
}

// 查询所有审批人
export const getApprovePerson = () => {
  return service({
    url: '/approver/queryAllApprover',
    method: 'GET'
  })
}
// 新增审批人
export const postApprovePerson = (data) => {
  return service({
    url: '/approver/createApprover',
    method: 'POST',
    data
  })
}
// 修改审批人
export const putApprovePerson = (data) => {
  return service({
    url: '/approver/updateApprover',
    method: 'PUT',
    data
  })
}
// 删除审批人
export const deleteApprovePerson = (data) => {
  return service({
    url: '/approver/deleteApprover',
    method: 'DELETE',
    data
  })
}
